## ros-kinetic-pepper-bringup 0.1.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pepper_bringup)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY config
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest roslaunch)
  roslaunch_add_file_check(launch)
endif()

=== debian/changelog ===
ros-kinetic-pepper-bringup (0.1.10-0xenial) xenial; urgency=high

  * Merge pull request #34 <https://github.com/ros-naoqi/pepper_robot/issues/34> from ros-naoqi/change_maintainer
    change maintainership
  * change maintainership
  * Contributors: Karsten Knese

 -- Surya Ambrose <surya.ambrose@gmail.com>  Tue, 17 Jan 2017 08:00:00 -0000

ros-kinetic-pepper-bringup (0.1.9-0xenial) xenial; urgency=high

  * correct old emailaddress in package.xml
  * [pepper_bringup] add perception.launch.xml
  * add naoqi_pose/launch/pose_manager.launch + ns pepper_robot
  * add an explicit dependency to get tests to pass on Travis.
  * launch/pepper_full.launch : support nao_port in launch/naoqi_driver.launch https://github.com/ros-naoqi/naoqi_driver/pull/52
  * Contributors: Kanae Kochigami, Karsten Knese, Kei Okada, Vincent Rabaud, Yuki Furuta

 -- Surya Ambrose <surya.ambrose@gmail.com>  Tue, 17 Jan 2017 08:00:00 -0000

ros-kinetic-pepper-bringup (0.1.8-0xenial) xenial; urgency=high

  * [pepper_bringup/package.xml] add naoqi_pose, naoqi_driver_py to run_depend
    [pepper_bringup/CMakeLists.txt] add test for launch file validation
  * Contributors: Yuki Furuta

 -- Karsten Knese <karsten.knese@gmail.com>  Fri, 18 Dec 2015 08:00:00 -0000

ros-kinetic-pepper-bringup (0.1.7-0xenial) xenial; urgency=high

  * introduce namespace for pepper_bringup
  * include pose manager for teleop
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten.knese@gmail.com>  Tue, 11 Aug 2015 07:00:00 -0000

ros-kinetic-pepper-bringup (0.1.6-0xenial) xenial; urgency=high



 -- Karsten Knese <karsten.knese@gmail.com>  Fri, 31 Jul 2015 07:00:00 -0000

ros-kinetic-pepper-bringup (0.1.5-0xenial) xenial; urgency=high

  * 0.1.4
  * generate changelog
  * update maintainer email
  * rename naoqi_driver
  * pepper_sensor to pepper_sensor_py
  * transfer to naoqi_py
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten.knese@gmail.com>  Fri, 31 Jul 2015 07:00:00 -0000

ros-kinetic-pepper-bringup (0.1.4-0xenial) xenial; urgency=high

  * update maintainer email
  * rename naoqi_driver
  * pepper_sensor to pepper_sensor_py
  * transfer to naoqi_py
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten.knese@gmail.com>  Thu, 30 Jul 2015 07:00:00 -0000

ros-kinetic-pepper-bringup (0.1.3-0xenial) xenial; urgency=high



 -- Karsten Knese <karsten.knese@gmail.com>  Thu, 25 Jun 2015 07:00:00 -0000

ros-kinetic-pepper-bringup (0.1.2-0xenial) xenial; urgency=high



 -- Karsten Knese <karsten.knese@gmail.com>  Fri, 10 Apr 2015 07:00:00 -0000

ros-kinetic-pepper-bringup (0.1.1-0xenial) xenial; urgency=high

  * update dependency
  * initial commit of URDF and basic scripts
  * Contributors: Vincent Rabaud

 -- Karsten Knese <karsten.knese@gmail.com>  Wed, 08 Apr 2015 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pepper-bringup
Section: misc
Priority: extra
Maintainer: Surya Ambrose <surya.ambrose@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch, ros-kinetic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-pepper-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-naoqi-driver, ros-kinetic-naoqi-driver-py, ros-kinetic-naoqi-pose, ros-kinetic-naoqi-sensors-py, ros-kinetic-pepper-description, ros-kinetic-pepper-sensors-py, ros-kinetic-rgbd-launch
Description: The pepper_bringup package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pepper-bringup//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
